## lomiri-gallery-app 2.10.9~git20221009.1317376

=== CMakeLists.txt ===
project(lomiri-gallery-app)
cmake_minimum_required(VERSION 2.8.9)
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

# Find includes in corresponding build directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)

# Instruct CMake to run moc automatically when needed.
set(CMAKE_AUTOMOC ON)

string(TOLOWER "${CMAKE_BUILD_TYPE}" cmake_build_type_lower)

include(EnableCoverageReport)
#####################################################################
# Enable code coverage calculation with gcov/gcovr/lcov
# Usage:
#  * Switch build type to coverage (use ccmake or cmake-gui)
#  * Invoke make, make test, make coverage (or ninja if you use that backend)
#  * Find html report in subdir coveragereport
#  * Find xml report feasible for jenkins in coverage.xml
#####################################################################
if(cmake_build_type_lower MATCHES coverage)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} --coverage" )
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} --coverage" )
    set(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} --coverage" )
    set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} --coverage" )
    ENABLE_COVERAGE_REPORT(TARGETS ${SHELL_APP})
endif()

find_package(Qt5Core)
find_package(Qt5Gui)
find_package(Qt5Qml)
find_package(Qt5Quick)
find_package(Qt5Sql)
if(CMAKE_SYSTEM_PROCESSOR MATCHES "^arm")
    find_package(GLESv2)
else()
    find_package(OpenGL)
endif()

find_package(PkgConfig REQUIRED)
pkg_check_modules(EXIV2 REQUIRED exiv2)
pkg_check_modules(MEDIAINFO REQUIRED libmediainfo)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Wall -Werror")
set(CMAKE_EXE_LINKER_FLAGS "-s")

# Activate C++11 on Cmake >= 3.1
if (CMAKE_VERSION VERSION_GREATER "3.1")
    set (CMAKE_CXX_STANDARD 11)
    set (CMAKE_CXX_STANDARD_REQUIRED ON)
endif ()

# Standard install paths
include(GNUInstallDirs)

option(INSTALL_TESTS "Install the tests on make install" off)
option(CLICK_MODE "Installs to a contained location" on)

set(GALLERY lomiri-gallery-app)
set(GETTEXT_NAME ${PROJECT_NAME})
set(DESKTOP_FILE ${GALLERY}.desktop)
set(AUTOPILOT_DIR lomiri_gallery_app)
set(UBUNTU_MANIFEST_PATH "click/manifest.json.in" CACHE INTERNAL "Relative path to the manifest file")

# make non compiled files visible in qtcreator
file(GLOB_RECURSE NON_COMPILED_FILES *.qml *.js *.py *.svg *.png *.in *.json *.desktop *.pot *.apparmor qmldir)
add_custom_target(NON_COMPILED_TARGET ALL SOURCES ${NON_COMPILED_FILES})

if(CLICK_MODE)
    if(NOT DEFINED BZR_SOURCE)
        set(BZR_SOURCE "lp:gallery-app")
    endif(NOT DEFINED BZR_SOURCE)
    set(CMAKE_INSTALL_PREFIX /)
    set(CMAKE_INSTALL_BINDIR /)
    set(GALLERY_DIR "")
    add_definitions("-DCLICK_MODE=1")
else(CLICK_MODE)
    set(GALLERY_DIR ${CMAKE_INSTALL_DATADIR}/${GALLERY})
endif(CLICK_MODE)

# for dh_translations to extract the domain
# (regarding syntax consistency, see http://pad.lv/1181187)
set (GETTEXT_PACKAGE "${GALLERY}")

# Tests
enable_testing()

add_subdirectory(click)
add_subdirectory(desktop)
add_subdirectory(po)
add_subdirectory(rc)
add_subdirectory(src)
add_subdirectory(tests)

=== debian/changelog ===
lomiri-gallery-app (2.10.9~git20221009.1317376-3) unstable; urgency=medium

  [ Anton Gladky ]
  * debian/.gitlab-ci.yml:
    + Let blhc fail.

  [ Mike Gabriel ]
  * debian/control:
    + Fix QML module name for qml-module-lomiri-thumbnailer in Depends: of
      lomiri-gallery-app. (Closes: #1022101).
    + Drop unnecessary dependencies from -common bin:pkg.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 20 Oct 2022 11:38:55 +0200

lomiri-gallery-app (2.10.9~git20221009.1317376-2) unstable; urgency=medium

  * Team upload.
  * Add debian/.gitlab-ci.yml
  * Source only upload

 -- Anton Gladky <gladk@debian.org>  Wed, 19 Oct 2022 15:58:52 +0200

lomiri-gallery-app (2.10.9~git20221009.1317376-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1021495).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 09 Oct 2022 17:53:27 +0200

=== debian/control ===
Source: lomiri-gallery-app
Section: graphics
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>,
           Marius Gripsgard <marius@ubports.com>,
Build-Depends: debhelper-compat (= 13),
               cmake,
               pkg-config,
               dh-apparmor,
               libexiv2-dev,
               libgl1-mesa-dev | libgl-dev,
               libgles2-mesa-dev,
               libmediainfo-dev,
               libqt5opengl5-dev,
               libqt5svg5,
               qtbase5-dev,
               qtdeclarative5-dev,
               python3-all:any,
# for static linking of exiv2 in click mode
               libexpat1-dev,
               zlib1g-dev,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/development/apps/lomiri-gallery-app
Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-gallery-app.git
Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-gallery-app

Package: lomiri-gallery-app
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         lomiri-gallery-app-common (<< ${source:Version}.1~),
         lomiri-gallery-app-common (>= ${source:Version}),
         libqt5sql5-sqlite,
         qml-module-qtquick2,
         qml-module-qtmultimedia | qml-module-qtmultimedia-gles,
         qml-module-lomiri-thumbnailer,
         qml-module-lomiri-components,
         qml-module-lomiri-layouts,
         qml-module-qtquick-window2,
         qml-module-lomiri-content,
Description: Gallery App for Lomiri Operating Environment
 This app is a core app for Ubuntu Touch's shell Lomiri. Ubuntu Touch is
 a mobile OS developed by the UBports Foundation. Lomiri is its operating
 environment optimized for touch based human-machine interaction, but
 also supports convergence (i.e. switching between tablet/phone and
 desktop mode).
 .
 This package provides Lomiri's Gallery App.

Package: lomiri-gallery-app-common
Architecture: all
Depends: ${misc:Depends},
Description: Gallery App for Lomiri Operating Environment (arch-indep files)
 This app is a core app for Ubuntu Touch's shell Lomiri. Ubuntu Touch is
 a mobile OS developed by the UBports Foundation. Lomiri is its operating
 environment optimized for touch based human-machine interaction, but
 also supports convergence (i.e. switching between tablet/phone and
 desktop mode).
 .
 This package provides the arch-indep files of Lomiri's Gallery App.

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none,  pretty=2.10.9~git%cd.%h" \
https://gitlab.com/ubports/development/apps/lomiri-gallery-app \
HEAD debian uupdate

## lomiri-gallery-app 3.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
-project(lomiri-gallery-app)
-cmake_minimum_required(VERSION 2.8.9)
+cmake_minimum_required(VERSION 3.5)
+project(lomiri-gallery-app VERSION 3.0.0 LANGUAGES CXX)
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 
 # Find includes in corresponding build directories
@@ -68,9 +68,6 @@
 add_custom_target(NON_COMPILED_TARGET ALL SOURCES ${NON_COMPILED_FILES})
 
 if(CLICK_MODE)
-    if(NOT DEFINED BZR_SOURCE)
-        set(BZR_SOURCE "lp:gallery-app")
-    endif(NOT DEFINED BZR_SOURCE)
     set(CMAKE_INSTALL_PREFIX /)
     set(CMAKE_INSTALL_BINDIR /)
     set(GALLERY_DIR "")

=== desktop/CMakeLists.txt ===
include(FindGettext)

if(CLICK_MODE)
    install(FILES ${GALLERY}.svg ${GALLERY}-splash.svg DESTINATION
        ${CMAKE_INSTALL_DATADIR}/icons)
	set(ICON   "${CMAKE_INSTALL_DATADIR}/icons/${GALLERY}.svg")
    set(SPLASH "${CMAKE_INSTALL_DATADIR}/icons/${GALLERY}-splash.svg")
	set(APP_EXEC "./${GALLERY}")
else(CLICK_MODE)
    install(DIRECTORY icons/hicolor DESTINATION DESTINATION
        ${CMAKE_INSTALL_DATADIR}/icons FILES_MATCHING PATTERN *.png)
	set(APP_EXEC "${GALLERY}")
	set(ICON "${GALLERY}")
endif(CLICK_MODE)

set(GALLERY_URL_DISPATCHER ${GALLERY}.url-dispatcher)

configure_file(${DESKTOP_FILE}.in.in ${DESKTOP_FILE}.in @ONLY)
add_custom_target(${DESKTOP_FILE} ALL
    COMMENT "Merging translations into ${DESKTOP_FILE}"
    COMMAND ${GETTEXT_MSGFMT_EXECUTABLE}
            --desktop --template=${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE}.in
            -o ${DESKTOP_FILE}
            -d ${CMAKE_SOURCE_DIR}/po
    )

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE}
    DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)

install(FILES ${GALLERY_URL_DISPATCHER}
    DESTINATION ${CMAKE_INSTALL_DATADIR}/lomiri-url-dispatcher/urls
    )

=== debian/changelog ===
lomiri-gallery-app (3.0.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch:
    + Start watching upstream releases.
  * debian/patches:
    + Drop 0001_copyright-headers-Use-uniform-spelling-for-copyright.patch
      and 1001_qSort-to-sort-switch.patch. Both applied upstream
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.
    + Fix B-D on libgl-dev (drop alternative B-D).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 30 Jan 2023 22:57:20 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                pkg-config,
                dh-apparmor,
                libexiv2-dev,
-               libgl1-mesa-dev | libgl-dev,
+               libgl-dev,
                libgles2-mesa-dev,
                libmediainfo-dev,
                libqt5opengl5-dev,
@@ -20,7 +20,7 @@
 # for static linking of exiv2 in click mode
                libexpat1-dev,
                zlib1g-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/apps/lomiri-gallery-app
 Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-gallery-app.git

## lomiri-gallery-app 3.0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(lomiri-gallery-app VERSION 3.0.0 LANGUAGES CXX)
+project(lomiri-gallery-app VERSION 3.0.1 LANGUAGES CXX)
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 
 # Find includes in corresponding build directories

=== click/CMakeLists.txt ===
if(CLICK_MODE)
    execute_process(
      COMMAND dpkg-architecture -qDEB_HOST_ARCH
      OUTPUT_VARIABLE CLICK_ARCH
      OUTPUT_STRIP_TRAILING_WHITESPACE
    )

    configure_file(manifest.json.in ${CMAKE_CURRENT_BINARY_DIR}/manifest.json)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/manifest.json
            DESTINATION ${CMAKE_INSTALL_PREFIX})
    install(FILES gallery.apparmor gallery-content.json
            DESTINATION ${CMAKE_INSTALL_PREFIX})
endif(CLICK_MODE)

if(NOT CLICK_MODE)
    install(FILES gallery-content.json
            DESTINATION ${CMAKE_INSTALL_DATADIR}/content-hub/peers/ RENAME gallery-app)
endif(NOT CLICK_MODE)

=== desktop/CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
     install(DIRECTORY icons/hicolor DESTINATION DESTINATION
         ${CMAKE_INSTALL_DATADIR}/icons FILES_MATCHING PATTERN *.png)
 	set(APP_EXEC "${GALLERY}")
-	set(ICON "${GALLERY}")
+	set(ICON "gallery-app")
 endif(CLICK_MODE)
 
 set(GALLERY_URL_DISPATCHER ${GALLERY}.url-dispatcher)

=== src/CMakeLists.txt ===
project(gallery_src)

add_subdirectory(util)
add_subdirectory(core)
add_subdirectory(album)
add_subdirectory(database)
add_subdirectory(event)
add_subdirectory(media)
add_subdirectory(medialoader)
add_subdirectory(photo)
add_subdirectory(qml)
add_subdirectory(video)

configure_file(
    config.h.in
    ${CMAKE_CURRENT_BINARY_DIR}/config.h
    @ONLY
    )

include_directories(
    ${gallery_util_src_SOURCE_DIR}
    ${gallery_core_src_SOURCE_DIR}
    ${gallery_database_src_SOURCE_DIR}
    ${gallery_media_src_SOURCE_DIR}
    ${gallery_medialoader_src_SOURCE_DIR}
    ${gallery_event_src_SOURCE_DIR}
    ${gallery_album_src_SOURCE_DIR}
    ${gallery_photo_src_SOURCE_DIR}
    ${gallery_video_src_SOURCE_DIR}
    ${gallery_qml_src_SOURCE_DIR}
    ${CMAKE_BINARY_DIR}
    )

set(gallery_HDRS
    gallery-application.h
    gallery-manager.h
    media-object-factory.h
    )

set(gallery_SRCS
    gallery-application.cpp
    gallery-manager.cpp
    main.cpp
    media-object-factory.cpp
    )

add_executable(${GALLERY}
    ${gallery_SRCS}
    )

qt5_use_modules(${GALLERY} Widgets Core Qml Quick Sql DBus Gui)

target_link_libraries( ${GALLERY}
    gallery-album
    gallery-core
    gallery-database
    gallery-event
    gallery-media
    gallery-medialoader
    gallery-photo
    gallery-qml
    gallery-util
    gallery-video
    ${CONTENTHUB_LIBRARIES}
    )

install(TARGETS ${GALLERY} RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

=== src/core/CMakeLists.txt ===
project(gallery_core_src)

set(GALLERY_CORE_LIB gallery-core)

include_directories(
    ${gallery_util_src_SOURCE_DIR}
    ${CMAKE_BINARY_DIR}
    )

set(gallery_core_HDRS
    container-source.h
    container-source-collection.h
    data-collection.h
    data-object.h
    data-source.h
    selectable-view-collection.h
    source-collection.h
    view-collection.h
    )

set(gallery_core_SRCS
    container-source.cpp
    container-source-collection.cpp
    data-collection.cpp
    data-object.cpp
    data-source.cpp
    selectable-view-collection.cpp
    source-collection.cpp
    view-collection.cpp
    )

add_library(${GALLERY_CORE_LIB}
    ${gallery_core_SRCS}
    )

qt5_use_modules(${GALLERY_CORE_LIB} Core Quick)

=== src/event/CMakeLists.txt ===
project(gallery_event_src)

set(GALLERY_EVENT_LIB gallery-event)

include_directories(
    ${gallery_core_src_SOURCE_DIR}
    # because of circulate dependencies the sub project can't be used directly
    # FIXME resolve the circulate dependencies
    ${gallery_src_SOURCE_DIR}/media
    ${gallery_util_src_SOURCE_DIR}
    ${CMAKE_BINARY_DIR}
    )

set(gallery_event_HDRS
    event.h
    event-collection.h
    )

set(gallery_event_SRCS
    event.cpp
    event-collection.cpp
    )

add_library(${GALLERY_EVENT_LIB}
    ${gallery_event_SRCS}
    )

qt5_use_modules(${GALLERY_EVENT_LIB} Widgets Core Qml)

=== src/photo/CMakeLists.txt ===
project(gallery_photo_src)

set(GALLERY_PHOTO_LIB gallery-photo)

include_directories(
    ${gallery_src_SOURCE_DIR}
    ${gallery_core_src_SOURCE_DIR}
    ${gallery_database_src_SOURCE_DIR}
    ${gallery_media_src_SOURCE_DIR}
    ${gallery_medialoader_src_SOURCE_DIR}
    ${gallery_util_src_SOURCE_DIR}
    ${EXIV2_INCLUDEDIR}
    ${CMAKE_BINARY_DIR}
    )

set(gallery_photo_HDRS
    photo.h
    photo-metadata.h
    )

set(gallery_photo_SRCS
    photo.cpp
    photo-metadata.cpp
    )

add_library(${GALLERY_PHOTO_LIB}
    ${gallery_photo_SRCS}
    )

qt5_use_modules(${GALLERY_PHOTO_LIB} Widgets Core Qml Quick Xml)

target_link_libraries( ${GALLERY_PHOTO_LIB}
    ${EXIV2_LIBRARIES}
    )

=== src/qml/CMakeLists.txt ===
project(gallery_qml_src)

set(GALLERY_QML_LIB gallery-qml)

include_directories(
    ${gallery_src_SOURCE_DIR}
    # because of circulate dependencies the sub project can't be used directly
    # FIXME resolve the circulate dependencies
    ${gallery_src_SOURCE_DIR}/album
    ${gallery_core_src_SOURCE_DIR}
    ${gallery_src_SOURCE_DIR}/database
    ${gallery_src_SOURCE_DIR}/event
    ${gallery_src_SOURCE_DIR}/media
    ${gallery_util_src_SOURCE_DIR}
    ${CMAKE_BINARY_DIR}
    )

set(gallery_qml_HDRS
    qml-album-collection-model.h
    qml-event-collection-model.h
    qml-event-overview-model.h
    qml-media-collection-model.h
    qml-view-collection-model.h
    )

set(gallery_qml_SRCS
    qml-album-collection-model.cpp
    qml-event-collection-model.cpp
    qml-event-overview-model.cpp
    qml-media-collection-model.cpp
    qml-view-collection-model.cpp
    )

add_library(${GALLERY_QML_LIB}
    ${gallery_qml_SRCS}
    )

qt5_use_modules(${GALLERY_QML_LIB} Core Quick)

=== src/util/CMakeLists.txt ===
project(gallery_util_src)

set(GALLERY_UTIL_LIB gallery-util)

include_directories(
    ${gallery_src_BINARY_DIR}
    ${CMAKE_BINARY_DIR}
    )

set(gallery_util_HDRS
    collections.h
    command-line-parser.h
    imaging.h
    orientation.h
    resource.h
    variants.h
    urlhandler.h
    )

set(gallery_util_SRCS
    command-line-parser.cpp
    imaging.cpp
    orientation.cpp
    resource.cpp
    urlhandler.cpp
    )

add_library(${GALLERY_UTIL_LIB}
    ${gallery_util_SRCS}
    )

qt5_use_modules(${GALLERY_UTIL_LIB} Widgets Core)

if(CMAKE_SYSTEM_PROCESSOR MATCHES "^arm")
    set(GL_LIBRARIES ${GLESv2_LIBRARIES})
else()
    set(GL_LIBRARIES ${OPENGL_LIBRARIES})
endif()

target_link_libraries( ${GALLERY_UTIL_LIB}
    ${GL_LIBRARIES}
    )

=== tests/autopilot/CMakeLists.txt ===
execute_process(COMMAND python3 -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())"
    OUTPUT_VARIABLE PYTHON_PACKAGE_DIR OUTPUT_STRIP_TRAILING_WHITESPACE)

if(INSTALL_TESTS)
install(DIRECTORY ${AUTOPILOT_DIR}
    DESTINATION ${PYTHON_PACKAGE_DIR}
    )
endif(INSTALL_TESTS)

include(${CMAKE_SOURCE_DIR}/cmake/autopilot.cmake)
declare_autopilot_test(GALLERY_APP=${gallery_src_BINARY_DIR}/gallery-app
    ${AUTOPILOT_DIR} ${CMAKE_CURRENT_SOURCE_DIR}
    )

=== tests/unittests/mediaobjectfactory/CMakeLists.txt ===
add_definitions(-DTEST_SUITE)

if(NOT CTEST_TESTING_TIMEOUT)
    set(CTEST_TESTING_TIMEOUT 60)
endif()

include_directories(
    ${CMAKE_BINARY_DIR}
    ${gallery_src_SOURCE_DIR}
    ${gallery_album_src_SOURCE_DIR}
    ${gallery_core_src_SOURCE_DIR}
    ${gallery_database_src_SOURCE_DIR}
    ${gallery_event_src_SOURCE_DIR}
    ${gallery_media_src_SOURCE_DIR}
    ${gallery_medialoader_src_SOURCE_DIR}
    ${gallery_photo_src_SOURCE_DIR}
    ${gallery_util_src_SOURCE_DIR}
    ${gallery_video_src_SOURCE_DIR}
    )

QT5_WRAP_CPP(MEDIAOBJECTFACTORY_MOCS
    ${gallery_database_src_SOURCE_DIR}/media-table.h
    ${gallery_photo_src_SOURCE_DIR}/photo-metadata.h
    ${gallery_medialoader_src_SOURCE_DIR}/video-metadata.h
    )

add_definitions(-DSAMPLE_DATA_DIR="${CMAKE_CURRENT_SOURCE_DIR}/data")
add_executable(mediaobjectfactory
    tst_mediaobjectfactory.cpp
    ${gallery_src_SOURCE_DIR}/media-object-factory.cpp
    ${gallery_photo_src_SOURCE_DIR}/photo.cpp
    ../stubs/media-table_stub.cpp
    ../stubs/video_stub.cpp
    ../stubs/photometa-data_stub.cpp
    ../stubs/video-metadata_stub.cpp
    ${MEDIAOBJECTFACTORY_MOCS}
    )

qt5_use_modules(mediaobjectfactory Widgets Core Quick Qml Test)
add_test(mediaobjectfactory mediaobjectfactory -xunitxml -o test_mediaobjectfactory.xml)
set_tests_properties(mediaobjectfactory PROPERTIES
    TIMEOUT ${CTEST_TESTING_TIMEOUT}
    ENVIRONMENT "QT_QPA_PLATFORM=minimal;TZ=Pacific/Auckland"
    )

target_link_libraries(mediaobjectfactory
    gallery-core
    gallery-media
    gallery-util
    gallery-video
    )

=== tests/unittests/photo-metadata/CMakeLists.txt ===
add_definitions(-DTEST_SUITE)

if(NOT CTEST_TESTING_TIMEOUT)
    set(CTEST_TESTING_TIMEOUT 60)
endif()

include_directories(
    ${gallery_src_SOURCE_DIR}
    ${gallery_album_src_SOURCE_DIR}
    ${gallery_core_src_SOURCE_DIR}
    ${gallery_database_src_SOURCE_DIR}
    ${gallery_event_src_SOURCE_DIR}
    ${gallery_media_src_SOURCE_DIR}
    ${gallery_medialoader_src_SOURCE_DIR}
    ${gallery_photo_src_SOURCE_DIR}
    ${gallery_util_src_SOURCE_DIR}
    ${gallery_video_src_SOURCE_DIR}
    ${EXIV2_INCLUDEDIR}
    ${CMAKE_BINARY_DIR}
    )

QT5_WRAP_CPP(PHOTOMETADATA_MOCS
    ${gallery_src_SOURCE_DIR}/gallery-manager.h
    ${gallery_database_src_SOURCE_DIR}/album-table.h
    ${gallery_database_src_SOURCE_DIR}/database.h
    ${gallery_database_src_SOURCE_DIR}/media-table.h
    ${gallery_medialoader_src_SOURCE_DIR}/video-metadata.h
    ${gallery_photo_src_SOURCE_DIR}/photo.h
    )

add_definitions(-DSAMPLE_IMAGE_DIR="${CMAKE_CURRENT_SOURCE_DIR}/images")
add_executable(photo-metadata
    tst_photo-metadata.cpp
    ${gallery_photo_src_SOURCE_DIR}/photo-metadata.cpp
    ../stubs/album-table_stub.cpp
    ../stubs/database_stub.cpp
    ../stubs/media-table_stub.cpp
    ../stubs/photo_stub.cpp
    ../stubs/video_stub.cpp
    ../stubs/video-metadata_stub.cpp
    ../stubs/gallery-manager_stub.cpp
    ${PHOTOMETADATA_MOCS}
    )

qt5_use_modules(photo-metadata Widgets Core Quick Qml Test)
add_test(photo-metadata photo-metadata -xunitxml -o test_video.xml)
set_tests_properties(photo-metadata PROPERTIES
    TIMEOUT ${CTEST_TESTING_TIMEOUT}
    ENVIRONMENT "QT_QPA_PLATFORM=minimal;TZ=Pacific/Auckland"
    )

target_link_libraries(photo-metadata
    gallery-album
    gallery-core
    gallery-media
    gallery-util
    gallery-video
    ${EXIV2_LIBRARIES}
    )

=== debian/changelog ===
lomiri-gallery-app (3.0.1-1) unstable; urgency=medium

  * New upstream release.
    - Fix Icon= key in .desktop file.
    - Translation updates.
  * debian/control:
    + Add D: qml-module-lomiri-components-extras. Thanks to Rodney
      Dawes for noticing this.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 28 Feb 2023 19:37:23 +0100

=== debian/control ===
--- 
+++ 
@@ -37,6 +37,7 @@
          qml-module-qtmultimedia | qml-module-qtmultimedia-gles,
          qml-module-lomiri-thumbnailer,
          qml-module-lomiri-components,
+         qml-module-lomiri-components-extras,
          qml-module-lomiri-layouts,
          qml-module-qtquick-window2,
          qml-module-lomiri-content,

=== debian/rules ===
#!/usr/bin/make -f

NULL =

export DPKG_GENSYMBOLS_CHECK_LEVEL = 4
export QT_QPA_PLATFORM = minimal

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure --	\
	    -DCLICK_MODE=OFF	\
	    -DINSTALL_TESTS=OFF	\
	    $(NULL)

override_dh_install:
	dh_install
	dh_apparmor -plomiri-gallery-app --profile-name=lomiri-gallery-app

	# drop autopilot test files
	rm debian/lomiri-calculator-app/usr/lib/ -Rfv

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_test:
	QT_QPA_PLATFORM=minimal CTEST_OUTPUT_ON_FAILURE=1 dh_auto_test

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/watch ===
version=4
https://gitlab.com/ubports/development/apps/lomiri-gallery-app/tags .*/lomiri-gallery-app-v(\d\S+)\.tar\.gz

## lomiri-gallery-app 3.0.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(lomiri-gallery-app VERSION 3.0.1 LANGUAGES CXX)
+project(lomiri-gallery-app VERSION 3.0.2 LANGUAGES CXX)
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 
 # Find includes in corresponding build directories

=== desktop/CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
         ${CMAKE_INSTALL_DATADIR}/icons)
 	set(ICON   "${CMAKE_INSTALL_DATADIR}/icons/${GALLERY}.svg")
     set(SPLASH "${CMAKE_INSTALL_DATADIR}/icons/${GALLERY}-splash.svg")
-	set(APP_EXEC "./${GALLERY}")
+	set(APP_EXEC "lomiri-gallery-app-migrate.py ${GALLERY}")
 else(CLICK_MODE)
     install(DIRECTORY icons/hicolor DESTINATION DESTINATION
         ${CMAKE_INSTALL_DATADIR}/icons FILES_MATCHING PATTERN *.png)

=== rc/CMakeLists.txt ===
if(CLICK_MODE)
    set(GALLERY_RC_DIR rc)
else(CLICK_MODE)
    set(GALLERY_RC_DIR ${CMAKE_INSTALL_PREFIX}/${GALLERY_DIR}/rc)
endif(CLICK_MODE)

install(DIRECTORY img DESTINATION ${GALLERY_RC_DIR} FILES_MATCHING PATTERN *)
install(DIRECTORY js DESTINATION ${GALLERY_RC_DIR} FILES_MATCHING PATTERN *)
install(DIRECTORY qml DESTINATION ${GALLERY_RC_DIR} FILES_MATCHING PATTERN *)
install(DIRECTORY sql DESTINATION ${GALLERY_RC_DIR} FILES_MATCHING PATTERN *)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -65,3 +65,5 @@
     )
 
 install(TARGETS ${GALLERY} RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
+
+install(PROGRAMS lomiri-gallery-app-migrate.py DESTINATION "${GALLERY_DIR}/")

=== src/media/CMakeLists.txt ===
project(gallery_media_src)

set(GALLERY_MEDIA_LIB gallery-media)

include_directories(
    ${gallery_core_src_SOURCE_DIR}
    # because of circulate dependencies the sub project can't be used directly
    # FIXME resolve the circulate dependencies
    ${gallery_src_SOURCE_DIR}/database
    ${gallery_src_SOURCE_DIR}/medialoader
    ${gallery_util_src_SOURCE_DIR}
    ${CMAKE_BINARY_DIR}
    )

set(gallery_media_HDRS
    media-collection.h
    media-monitor.h
    media-source.h
    )

set(gallery_media_SRCS
    media-collection.cpp
    media-monitor.cpp
    media-source.cpp
    )

add_library(${GALLERY_MEDIA_LIB}
    ${gallery_media_SRCS}
    )

qt5_use_modules(${GALLERY_MEDIA_LIB} Core Quick)

=== tests/unittests/imaging/CMakeLists.txt ===
add_definitions(-DTEST_SUITE)

if(NOT CTEST_TESTING_TIMEOUT)
    set(CTEST_TESTING_TIMEOUT 60)
endif()

include_directories(
    ${gallery_util_src_SOURCE_DIR}
    ${CMAKE_BINARY_DIR}
    )

add_executable(imaging
    tst_imaging.cpp
    )

qt5_use_modules(imaging Quick Widgets Test)

add_test(imaging imaging -xunitxml -o test_imaging.xml)
set_tests_properties(imaging PROPERTIES
    TIMEOUT ${CTEST_TESTING_TIMEOUT}
    ENVIRONMENT "QT_QPA_PLATFORM=minimal"
    )

target_link_libraries(imaging 
    gallery-util
    )

=== tests/unittests/mediamonitor/CMakeLists.txt ===
add_definitions(-DTEST_SUITE)

if(NOT CTEST_TESTING_TIMEOUT)
    set(CTEST_TESTING_TIMEOUT 60)
endif()

include_directories(
    ${gallery_media_src_SOURCE_DIR}
    ${gallery_core_src_SOURCE_DIR}
    ${gallery_util_src_SOURCE_DIR}
    ${gallery_medialoader_src_SOURCE_DIR}
    ${gallery_database_src_SOURCE_DIR}
    ${gallery_album_src_SOURCE_DIR}
    ${gallery_src_SOURCE_DIR}
    ${CMAKE_BINARY_DIR}
    )

add_executable(mediamonitor tst_mediamonitor.cpp)

qt5_use_modules(mediamonitor Quick Test)

add_test(mediamonitor mediamonitor -xunitxml -o test_mediamonitor.xml)

set_tests_properties(mediamonitor PROPERTIES
    TIMEOUT ${CTEST_TESTING_TIMEOUT}
    ENVIRONMENT "QT_QPA_PLATFORM=minimal"
    )

target_link_libraries(mediamonitor
    gallery-util
    gallery-media
    gallery-core
    gallery-medialoader
    gallery-database
    gallery-album
    )

=== tests/unittests/video/CMakeLists.txt ===
add_definitions(-DTEST_SUITE)

if(NOT CTEST_TESTING_TIMEOUT)
    set(CTEST_TESTING_TIMEOUT 60)
endif()

configure_file(
    ${gallery_src_SOURCE_DIR}/config.h.in
    ${CMAKE_CURRENT_BINARY_DIR}/config.h
    @ONLY)

include_directories(
    ${CMAKE_BINARY_DIR}
    ${gallery_src_SOURCE_DIR}
    ${gallery_album_src_SOURCE_DIR}
    ${gallery_core_src_SOURCE_DIR}
    ${gallery_database_src_SOURCE_DIR}
    ${gallery_event_src_SOURCE_DIR}
    ${gallery_media_src_SOURCE_DIR}
    ${gallery_medialoader_src_SOURCE_DIR}
    ${gallery_photo_src_SOURCE_DIR}
    ${gallery_qml_src_SOURCE_DIR}
    ${gallery_util_src_SOURCE_DIR}
    ${gallery_video_src_SOURCE_DIR}
    )

add_executable(video
    tst_video.cpp
    ${gallery_src_SOURCE_DIR}/gallery-manager.cpp
    ${gallery_src_SOURCE_DIR}/media-object-factory.cpp
    ${TST_VIDEO_MOCS}
    )

qt5_use_modules(video Widgets Core Qml Quick Test)
add_test(video video -xunitxml -o test_video.xml)
set_tests_properties(video PROPERTIES
    TIMEOUT ${CTEST_TESTING_TIMEOUT}
    ENVIRONMENT "QT_QPA_PLATFORM=minimal"
    )

target_link_libraries(video
    gallery-album
    gallery-core
    gallery-database
    gallery-event
    gallery-media
    gallery-medialoader
    gallery-photo
    gallery-qml
    gallery-util
    gallery-video
    )

=== debian/changelog ===
lomiri-gallery-app (3.0.2-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:51:54 +1100

lomiri-gallery-app (3.0.2-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:44:53 +0000

lomiri-gallery-app (3.0.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update copyright attribution for debian/.
    + Update copyright attributions.
  * debian/rules:
    + Remove not needed migration script (Ubuntu Touch specific).
    + Drop copy+paste remnant that should have never landed in this src:pkg.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 04 Feb 2024 23:56:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: lomiri-gallery-app
 Section: graphics
 Priority: optional
-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders: Mike Gabriel <sunweaver@debian.org>,
            Marius Gripsgard <marius@ubports.com>,
 Build-Depends: debhelper-compat (= 13),

=== debian/rules ===
--- 
+++ 
@@ -17,11 +17,11 @@
 	    $(NULL)
 
 override_dh_install:
+	# drop Ubuntu Touch migration script
+	rm debian/tmp/usr/share/lomiri-gallery-app/lomiri-gallery-app-migrate.py
+
 	dh_install
 	dh_apparmor -plomiri-gallery-app --profile-name=lomiri-gallery-app
-
-	# drop autopilot test files
-	rm debian/lomiri-calculator-app/usr/lib/ -Rfv
 
 override_dh_missing:
 	dh_missing --fail-missing

## lomiri-gallery-app 3.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(lomiri-gallery-app VERSION 3.0.2 LANGUAGES CXX)
+project(lomiri-gallery-app VERSION 3.1.0 LANGUAGES CXX)
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 
 # Find includes in corresponding build directories
@@ -28,10 +28,13 @@
 endif()
 
 find_package(Qt5Core)
+find_package(Qt5DBus)
 find_package(Qt5Gui)
 find_package(Qt5Qml)
 find_package(Qt5Quick)
 find_package(Qt5Sql)
+find_package(Qt5Widgets)
+find_package(Qt5Xml)
 if(CMAKE_SYSTEM_PROCESSOR MATCHES "^arm")
     find_package(GLESv2)
 else()
@@ -42,8 +45,13 @@
 pkg_check_modules(EXIV2 REQUIRED exiv2)
 pkg_check_modules(MEDIAINFO REQUIRED libmediainfo)
 
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Wall -Werror")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Wall")
 set(CMAKE_EXE_LINKER_FLAGS "-s")
+
+option(ENABLE_WERROR "Treat all build warnings as errors" OFF)
+if (ENABLE_WERROR)
+    add_compile_options ("-Werror")
+endif ()
 
 # Activate C++11 on Cmake >= 3.1
 if (CMAKE_VERSION VERSION_GREATER "3.1")
@@ -70,10 +78,10 @@
 if(CLICK_MODE)
     set(CMAKE_INSTALL_PREFIX /)
     set(CMAKE_INSTALL_BINDIR /)
-    set(GALLERY_DIR "")
+    set(GALLERY_DIR ${CMAKE_INSTALL_PREFIX})
     add_definitions("-DCLICK_MODE=1")
 else(CLICK_MODE)
-    set(GALLERY_DIR ${CMAKE_INSTALL_DATADIR}/${GALLERY})
+    set(GALLERY_DIR ${CMAKE_INSTALL_FULL_DATADIR}/${GALLERY})
 endif(CLICK_MODE)
 
 # for dh_translations to extract the domain
@@ -81,11 +89,15 @@
 set (GETTEXT_PACKAGE "${GALLERY}")
 
 # Tests
-enable_testing()
+include(CTest)
 
 add_subdirectory(click)
 add_subdirectory(desktop)
 add_subdirectory(po)
 add_subdirectory(rc)
 add_subdirectory(src)
-add_subdirectory(tests)
+
+if(BUILD_TESTING)
+    find_package(Qt5Test)
+    add_subdirectory(tests)
+endif()

=== rc/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 if(CLICK_MODE)
     set(GALLERY_RC_DIR rc)
 else(CLICK_MODE)
-    set(GALLERY_RC_DIR ${CMAKE_INSTALL_PREFIX}/${GALLERY_DIR}/rc)
+    set(GALLERY_RC_DIR ${GALLERY_DIR}/rc)
 endif(CLICK_MODE)
 
 install(DIRECTORY img DESTINATION ${GALLERY_RC_DIR} FILES_MATCHING PATTERN *)

=== src/medialoader/CMakeLists.txt ===
project(gallery_medialoader_src)

set(GALLERY_MEDIALOADER_LIB gallery-medialoader)

include_directories(
    ${gallery_core_src_SOURCE_DIR}
    # because of circulate dependencies the sub project can't be used directly
    # FIXME resolve the circulate dependencies
    ${gallery_src_SOURCE_DIR}/media
    ${gallery_util_src_SOURCE_DIR}
    ${CMAKE_BINARY_DIR}
    ${GSTLIB_INCLUDE_DIRS}
    ${MEDIAINFO_INCLUDE_DIR}
    )

set(gallery_medialoader_HDRS
    video-metadata.h
    )

set(gallery_medialoader_SRCS
    video-metadata.cpp
    )

string(REPLACE ";" " " OTHER_CFLAGS "${MEDIAINFO_CFLAGS_OTHER}")
set(CMAKE_CXX_FLAGS ${OTHER_CFLAGS})

add_library(${GALLERY_MEDIALOADER_LIB}
    ${gallery_medialoader_SRCS}
    )

if(CLICK_MODE)
    set(EXIV2_LIBRARIES
        ${CMAKE_EXE_LINK_STATIC_CXX_FLAGS}
        ${EXIV2_STATIC_LIBRARIES}
        -ldl
        ${CMAKE_EXE_LINK_DYNAMIC_CXX_FLAGS})
    install(FILES exiv2.copyright DESTINATION ${CMAKE_INSTALL_PREFIX})
endif(CLICK_MODE)

target_link_libraries( ${GALLERY_MEDIALOADER_LIB}
    ${GSTLIB_LDFLAGS}
    ${MEDIAINFO_LIBRARIES}
    gallery-util
    Qt5::Core
    Qt5::Quick
    )

=== src/qml/CMakeLists.txt ===
--- 
+++ 
@@ -35,5 +35,7 @@
     ${gallery_qml_SRCS}
     )
 
-qt5_use_modules(${GALLERY_QML_LIB} Core Quick)
-
+target_link_libraries(${GALLERY_QML_LIB}
+    Qt5::Core
+    Qt5::Quick
+    )

=== tests/unittests/photo-metadata/CMakeLists.txt ===
--- 
+++ 
@@ -42,7 +42,6 @@
     ${PHOTOMETADATA_MOCS}
     )
 
-qt5_use_modules(photo-metadata Widgets Core Quick Qml Test)
 add_test(photo-metadata photo-metadata -xunitxml -o test_video.xml)
 set_tests_properties(photo-metadata PROPERTIES
     TIMEOUT ${CTEST_TESTING_TIMEOUT}
@@ -56,4 +55,9 @@
     gallery-util
     gallery-video
     ${EXIV2_LIBRARIES}
+    Qt5::Core
+    Qt5::Qml
+    Qt5::Quick
+    Qt5::Test
+    Qt5::Widgets
     )

=== debian/changelog ===
lomiri-gallery-app (3.1.0-2build1) plucky; urgency=medium

  * No-change rebuild for libexiv2

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 01 Nov 2024 12:13:56 +0000

lomiri-gallery-app (3.1.0-2) unstable; urgency=medium

  * debian/:
    + Enable user-session-migration debhelper feature and provide lomiri-
      gallery-app_01_update-content-hub.sh migration script.
  * debian/control:
    + In B-D, switch from pkg-config to pkgconf.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 13 Sep 2024 09:57:26 +0200

lomiri-gallery-app (3.1.0-1) unstable; urgency=medium

  * New upstream release.
    - Support building against exiv2 0.28. (Closes: #1076761).
  * debian/patches:
    + Drop 2001_build-without-Werror.patch. ENABLE_WERROR option introduced
      upstream (and OFF by default).
  * debian/control:
    + Bump Standards-Version to 4.7.0. No changes needed.
  * debian/copyright:
    + Update copyright attributions.
  * debian/watch:
    + Update file for recent GitLab changes of the tags overview page.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 11 Sep 2024 14:19:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: lomiri-gallery-app
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
+Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders: Mike Gabriel <sunweaver@debian.org>,
            Marius Gripsgard <marius@ubports.com>,
 Build-Depends: debhelper-compat (= 13),
                cmake,
-               pkg-config,
+               pkgconf,
                dh-apparmor,
+               dh-user-session-migration,
                libexiv2-dev,
                libgl-dev,
                libgles2-mesa-dev,
@@ -21,7 +21,7 @@
 # for static linking of exiv2 in click mode
                libexpat1-dev,
                zlib1g-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/apps/lomiri-gallery-app
 Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-gallery-app.git

## lomiri-gallery-app 3.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(lomiri-gallery-app VERSION 3.1.0 LANGUAGES CXX)
+project(lomiri-gallery-app VERSION 3.1.1 LANGUAGES CXX)
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 
 # Find includes in corresponding build directories

=== click/CMakeLists.txt ===
--- 
+++ 
@@ -14,6 +14,6 @@
 
 if(NOT CLICK_MODE)
     install(FILES gallery-content.json
-            DESTINATION ${CMAKE_INSTALL_DATADIR}/content-hub/peers/ RENAME gallery-app)
+            DESTINATION ${CMAKE_INSTALL_DATADIR}/lomiri-content-hub/peers/ RENAME lomiri-gallery-app)
 endif(NOT CLICK_MODE)

=== desktop/CMakeLists.txt ===
include(FindGettext)

if(CLICK_MODE)
    install(FILES ${GALLERY}.svg
        DESTINATION ${CMAKE_INSTALL_DATADIR}/icons)
    set(ICON   "${CMAKE_INSTALL_DATADIR}/icons/${GALLERY}.svg")
    set(SPLASH_DIR "${CMAKE_INSTALL_DATADIR}/icons")
    set(APP_EXEC "lomiri-gallery-app-migrate.py ${GALLERY}")
else(CLICK_MODE)
    install(DIRECTORY icons/hicolor
        DESTINATION ${CMAKE_INSTALL_DATADIR}/icons)
    install(FILES ${GALLERY}.svg
        DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/apps)
    set(ICON "${GALLERY}")
    set(SPLASH_DIR "${GALLERY_DIR}")
    set(APP_EXEC "${GALLERY}")
endif(CLICK_MODE)

set(SPLASH "${SPLASH_DIR}/${GALLERY}-splash.svg")
set(GALLERY_URL_DISPATCHER ${GALLERY}.url-dispatcher)

configure_file(${DESKTOP_FILE}.in.in ${DESKTOP_FILE}.in @ONLY)
add_custom_target(${DESKTOP_FILE} ALL
    COMMENT "Merging translations into ${DESKTOP_FILE}"
    COMMAND ${GETTEXT_MSGFMT_EXECUTABLE}
            --desktop --template=${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE}.in
            -o ${DESKTOP_FILE}
            -d ${CMAKE_SOURCE_DIR}/po
    )

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${DESKTOP_FILE}
    DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)

install(FILES ${GALLERY_URL_DISPATCHER}
    DESTINATION ${CMAKE_INSTALL_DATADIR}/lomiri-url-dispatcher/urls
    )

install(FILES ${GALLERY}-splash.svg
    DESTINATION ${SPLASH_DIR}
    )

=== po/CMakeLists.txt ===
project(gallery-translations)

include(FindGettext)
find_program(GETTEXT_XGETTEXT_EXECUTABLE xgettext)

set(DOMAIN ${GETTEXT_NAME})
set(POT_FILE ${DOMAIN}.pot)

file(STRINGS ${CMAKE_CURRENT_SOURCE_DIR}/LINGUAS LINGUAS
     REGEX "^[^#].*")
string(REGEX MATCHALL "[^ \t]+" LANGS "${LINGUAS}")

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/POTFILES.in
               ${CMAKE_CURRENT_BINARY_DIR}/POTFILES COPYONLY
)

add_custom_target(${POT_FILE} ALL
                  COMMENT "Generating translation template"
                  # Extract the translatable messages from the desktop file
                  COMMAND ${GETTEXT_XGETTEXT_EXECUTABLE} -o ${POT_FILE}
                          --from-code=UTF-8
                          --language=Desktop
                          --package-name='${PROJECT_NAME}'
                          --copyright-holder='Canonical Ltd.'
                          -D ${CMAKE_BINARY_DIR}/desktop
                          ${DESKTOP_FILE}.in
                  COMMAND ${GETTEXT_XGETTEXT_EXECUTABLE} -o ${POT_FILE}
                          --from-code=UTF-8
                          --c++ --qt --add-comments=TRANSLATORS
                          --keyword=tr --keyword=tr:1,2 --keyword=N_
                          --package-name='${PROJECT_NAME}'
                          --copyright-holder='Canonical Ltd.'
                          -D ${CMAKE_SOURCE_DIR}
                          -D ${CMAKE_CURRENT_SOURCE_DIR}
                          -D ${CMAKE_CURRENT_BINARY_DIR}
                          --join-existing
                          --files-from=${CMAKE_CURRENT_BINARY_DIR}/POTFILES)

foreach(LANG ${LANGS})
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/${LANG}.po
                   ${CMAKE_CURRENT_BINARY_DIR}/${LANG}.po
                   COPYONLY)
endforeach(LANG)
gettext_process_pot_file(${POT_FILE} ALL
                         INSTALL_DESTINATION ${CMAKE_INSTALL_LOCALEDIR}
                         LANGUAGES ${LANGS})

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -48,8 +48,6 @@
     ${gallery_SRCS}
     )
 
-qt5_use_modules(${GALLERY} Widgets Core Qml Quick Sql DBus Gui)
-
 target_link_libraries( ${GALLERY}
     gallery-album
     gallery-core
@@ -62,6 +60,13 @@
     gallery-util
     gallery-video
     ${CONTENTHUB_LIBRARIES}
+    Qt5::Core
+    Qt5::DBus
+    Qt5::Gui
+    Qt5::Qml
+    Qt5::Quick
+    Qt5::Sql
+    Qt5::Widgets
     )
 
 install(TARGETS ${GALLERY} RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

=== src/album/CMakeLists.txt ===
project(gallery_album_src)

set(GALLERY_ALBUM_LIB gallery-album)

include_directories(
    ${gallery_core_src_SOURCE_DIR}
    # because of circulate dependencies the sub project can't be used directly
    # FIXME resolve the circulate dependencies
    ${gallery_src_SOURCE_DIR}/database
    ${gallery_src_SOURCE_DIR}/media
    ${gallery_util_src_SOURCE_DIR}
    ${CMAKE_BINARY_DIR}
    )

set(gallery_album_HDRS
    album.h
    album-collection.h
    album-default-template.h
    album-page.h
    album-template.h
    album-template-page.h
    )

set(gallery_album_SRCS
    album.cpp
    album-default-template.cpp
    album-collection.cpp
    album-page.cpp
    album-template.cpp
    album-template-page.cpp
    )

add_library(${GALLERY_ALBUM_LIB}
    ${gallery_album_SRCS}
    )

target_link_libraries( ${GALLERY_ALBUM_LIB}
    gallery-core
    Qt5::Core
    Qt5::Qml
    Qt5::Widgets
    )

=== src/core/CMakeLists.txt ===
--- 
+++ 
@@ -33,5 +33,7 @@
     ${gallery_core_SRCS}
     )
 
-qt5_use_modules(${GALLERY_CORE_LIB} Core Quick)
-
+target_link_libraries(${GALLERY_CORE_LIB}
+    Qt5::Core
+    Qt5::Quick
+    )

=== src/database/CMakeLists.txt ===
project(gallery_database_src)

set(GALLERY_DATABASE_LIB gallery-database)

include_directories(
    # because of circulate dependencies the sub project can't be used directly
    # FIXME resolve the circulate dependencies
    ${gallery_src_SOURCE_DIR}/album
    ${gallery_core_src_SOURCE_DIR}
    ${gallery_src_SOURCE_DIR}/media
    ${gallery_src_SOURCE_DIR}/photo
    ${gallery_util_src_SOURCE_DIR}
    ${CMAKE_BINARY_DIR}
    )

set(gallery_database_HDRS
    album-table.h
    database.h
    media-table.h
    )

set(gallery_database_SRCS
    album-table.cpp
    database.cpp
    media-table.cpp
    )

add_library(${GALLERY_DATABASE_LIB}
    ${gallery_database_SRCS}
    )

target_link_libraries(${GALLERY_DATABASE_LIB}
    Qt5::Core
    Qt5::Qml
    Qt5::Quick
    Qt5::Sql
    Qt5::Widgets
    )

=== src/event/CMakeLists.txt ===
--- 
+++ 
@@ -25,5 +25,8 @@
     ${gallery_event_SRCS}
     )
 
-qt5_use_modules(${GALLERY_EVENT_LIB} Widgets Core Qml)
-
+target_link_libraries(${GALLERY_EVENT_LIB}
+    Qt5::Core
+    Qt5::Qml
+    Qt5::Widgets
+    )

=== src/media/CMakeLists.txt ===
--- 
+++ 
@@ -28,5 +28,7 @@
     ${gallery_media_SRCS}
     )
 
-qt5_use_modules(${GALLERY_MEDIA_LIB} Core Quick)
-
+target_link_libraries(${GALLERY_MEDIA_LIB}
+    Qt5::Core
+    Qt5::Quick
+    )

=== src/photo/CMakeLists.txt ===
--- 
+++ 
@@ -27,8 +27,11 @@
     ${gallery_photo_SRCS}
     )
 
-qt5_use_modules(${GALLERY_PHOTO_LIB} Widgets Core Qml Quick Xml)
-
 target_link_libraries( ${GALLERY_PHOTO_LIB}
     ${EXIV2_LIBRARIES}
+    Qt5::Core
+    Qt5::Qml
+    Qt5::Quick
+    Qt5::Widgets
+    Qt5::Xml
     )

=== src/video/CMakeLists.txt ===
project(gallery_video_src)

set(GALLERY_VIDEO_LIB gallery-video)

include_directories(
    ${gallery_core_src_SOURCE_DIR}
    ${gallery_media_src_SOURCE_DIR}
    ${gallery_util_src_SOURCE_DIR}
    ${CMAKE_BINARY_DIR}
    )

set(gallery_video_SRCS
    video.cpp
    )

add_library(${GALLERY_VIDEO_LIB}
    ${gallery_video_MOC_SRCS}
    ${gallery_video_SRCS}
    )

target_link_libraries(${GALLERY_VIDEO_LIB}
    Qt5::Core
    Qt5::Qml
    Qt5::Widgets
    )

=== debian/changelog ===
lomiri-gallery-app (3.1.1-2) unstable; urgency=medium

  * debian/*.user-session-migration:
    + Replace non-dash script lomiri-gallery-app_01_update-content-hub.sh by
      Python script lomiri-gallery-app_01_update-content-hub. The user-session-
      migration enforces shell execution via /bin/sh (dash in Debian) which does
      not support shell arrays.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 13 Aug 2025 23:16:12 +0200

lomiri-gallery-app (3.1.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.
  * debian/copyright:
    + Update copyright attributions.
  * debian/patches:
    + Add 2001_hide-app-if-not-in-lomiri.patch.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 05 May 2025 15:34:52 +0200

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
 # for static linking of exiv2 in click mode
                libexpat1-dev,
                zlib1g-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/apps/lomiri-gallery-app
 Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-gallery-app.git

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@
+	dh $@ --with user-session-migration
 
 override_dh_auto_configure:
 	dh_auto_configure --	\
